Aller au contenu

The calendar event note object

Attributes

iduuid

Unique identifier

author_iduuid | null
user_profiles.user_id

Identifier of the user that created the note

calendar_event_iduuid
calendar_events.id

Identifier of the related calendar event

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

notetext

Content of the note

Related resources

Embed related resources in the response with the select parameter, for example select=*,calendar_events(*). Resources related through more than one column need the column as a hint, like table!column(*).

calendar_events(*)object | null
calendar_events

The calendar event referenced by calendar_event_id.

user_profiles(*)object | null
user_profiles

The user profile referenced by author_id.

The calendar event note object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "author_id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T21:13:44.585Z",
  "updated_at": "2026-10-30T21:13:44.585Z",
  "note": "A short description."
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/calendar_event_notes?limit=10&select=*,calendar_events(*),user_profiles(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List calendar event notes

Filters

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

Content of the note

Responses

200

A list of calendar event notes with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /calendar_event_notes
curl -X GET "https://api.bookingmood.com/v1/calendar_event_notes?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "author_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:13:44.585Z",
    "updated_at": "2026-10-30T21:13:44.585Z",
    "note": "A short description."
  }
]

Create calendar event notes

Body

Partial<CalendarEventNote> | Array<Partial<CalendarEventNote>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created calendar event notes with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /calendar_event_notes
curl -X POST "https://api.bookingmood.com/v1/calendar_event_notes" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "note": "A short description."
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "author_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:13:44.585Z",
    "updated_at": "2026-10-30T21:13:44.585Z",
    "note": "A short description."
  }
]

Delete calendar event notes

Filters

Without filters, this request deletes all calendar event notes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

Content of the note

Responses

200

The deleted calendar event notes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /calendar_event_notes
curl -X DELETE "https://api.bookingmood.com/v1/calendar_event_notes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "author_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:13:44.585Z",
    "updated_at": "2026-10-30T21:13:44.585Z",
    "note": "A short description."
  }
]

Update calendar event notes

Filters

Without filters, this request updates all calendar event notes you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

author_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the note

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

noteFilter<text>

Content of the note

Body

Partial<CalendarEventNote>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated calendar event notes with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /calendar_event_notes
curl -X PATCH "https://api.bookingmood.com/v1/calendar_event_notes?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "note": "A short description."
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "author_id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T21:13:44.585Z",
    "updated_at": "2026-10-30T21:13:44.585Z",
    "note": "A short description."
  }
]

Prenez le contrôle de vos réservations. Créez votre propre entreprise.

Rejoignez plus de 1200 entreprises indépendantes de location de vacances qui utilisent Bookingmood pour augmenter leurs réservations directes et renforcer leurs relations avec leurs clients.

Commencez l'essai gratuit de 14 jours